Package org.eclipse.lemminx.services.extensions

## Class AbstractTypeDefinitionParticipant

- java.lang.Object
- - org.eclipse.lemminx.services.extensions.AbstractTypeDefinitionParticipant

All Implemented Interfaces:
  `ITypeDefinitionParticipant`

Direct Known Subclasses:
  `ContentModelTypeDefinitionParticipant`

    public abstract class AbstractTypeDefinitionParticipant
    extends Object
    implements ITypeDefinitionParticipant

Abstract class for type definition.

Author:
  Angelo ZERR

### Constructor Summary

Constructors
`AbstractTypeDefinitionParticipant()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected abstract void` `doFindTypeDefinition​(ITypeDefinitionRequest request, List<org.eclipse.lsp4j.LocationLink> locations, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)` Find the type definition
`void` `findTypeDefinition​(ITypeDefinitionRequest request, List<org.eclipse.lsp4j.LocationLink> locations, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)` Find type definition.
`protected abstract boolean` `match​(DOMDocument document)` Returns true if the type definition support is applicable for the given document and false otherwise.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractTypeDefinitionParticipant

    public AbstractTypeDefinitionParticipant()

### Method Detail

#### findTypeDefinition

    public final void findTypeDefinition​(ITypeDefinitionRequest request,
                                         List<org.eclipse.lsp4j.LocationLink> locations,
                                         org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)

Description copied from interface: `ITypeDefinitionParticipant`
Find type definition.

Specified by:
  `findTypeDefinition` in interface `ITypeDefinitionParticipant`

#### match

    protected abstract boolean match​(DOMDocument document)

Returns true if the type definition support is applicable for the given document and false otherwise.

Parameters:
  `document` -
Returns:
  true if the type definition support is applicable for the given document and false otherwise.

#### doFindTypeDefinition

    protected abstract void doFindTypeDefinition​(ITypeDefinitionRequest request,
                                                 List<org.eclipse.lsp4j.LocationLink> locations,
                                                 org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)

Find the type definition

Parameters:
  `request` -
  `locations` -
  `cancelChecker` -